import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { LiveReviewComponent } from './live-review/live-review.component';
import { MyComponent } from './my/my.component';
import { NoticeComponent } from './notice/notice.component';
import { RankingComponent } from './ranking/ranking.component';
const routes: Routes = [
  {
    path: '',
    redirectTo:'home',
    pathMatch: "full",
  },
  {
    path: 'home', //首页
    component: HomeComponent,
  },
  {
    path: 'notice', //消息
    component: NoticeComponent,
  },
  {
    path: 'live-review', //预览直播
    component: LiveReviewComponent,
  },
  {
    path: 'ranking', //排名
    component: RankingComponent,
  },
  {
    path: 'my', //我的
    component: MyComponent,
  },
]
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TabsRoutingModule { }
